%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ c ] = func_c( x )
%
%  Purpose
%
%       Calculates constraint vector for Example 17.1.
%
%       See Example 17.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     c        constraint vector 2x1.
%
%
%  Written by L. N. Vicente.
%  May 25, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ c ] = func_c( x )
%
% Calculate the objective function.
  c = x(1)^2+x(2)^2-2;
%
% End of function func_c.
