%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ f ] = func_f( x )
%
%  Purpose
%
%       Calculates objective function value for Example 17.1.
%
%       See Example 17.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     f        value of the objective function.
%
%
%  Written by L. N. Vicente.
%  May 25, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ f ] = func_f( x )
%
% Calculate the objective function.
  f = x(1)+x(2);
%
% End of function func_f.
