%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ gf ] = gradient_f( x )
%
%  Purpose
%
%       Calculates gradient of the objective function for Example 17.1.
%
%       See Example 17.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     gf       vector 2x1 with gradient of the objective function.
%
%
%  Written by L. N. Vicente.
%  May 25, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ gf ] = gradient_f( x )
%
% Compute the gradient of the objective function.
  gf(1) = 1;
  gf(2) = 1;
  gf    = gf';
%
% End of function gradient_f.
