%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ Hc ] = hessian_c( x )
%
%  Purpose:
%
%       Calculates Hessian of the constraints for Example 17.1.
%
%       See Example 17.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     Hc       matrix 2x2 with Hessian of the constraints.
%
%
%  Written by L. N. Vicente.
%  May 25, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ Hc ] = hessian_c( x )
%
% Compute the Hessian of the constraints.
  Hc = 2*eye(2);
%
% End of function hessian_c.
