%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ A ] = jacobian_c( x )
%
%  Purpose
%
%       Calculates Jacobian matrix of constraints for Example 17.1.
%
%       See Example 17.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     A        Jacobian matrix 1x2 of constraints.
%
%
%  Written by L. N. Vicente.
%  May 25, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ A ] = jacobian_c( x )
%
% Compute the Jacobian matrix of constraints.
  A(1) = 2*x(1);
  A(2) = 2*x(2);
%
% End of function jacobian_c.
